task :super_admin, [:username, :password, :role_name] => :environment do |_, args|
  # User's going to want to see any output from this
  Rails.logger = Logger.new($stdout)

  username = args[:username] || "_Admin"
  password = args[:password]
  role_name = args[:role_name] || "Internal Administrator"

  LicenceInfo.get_latest_licence

  hub = RxModuleComponent.find_by(module_id: "rx_hub")
  hub&.ping

  role = Role.find_or_create_by(name: role_name)
  ComponentPermission.all.each do |p|
    role.grant(p)
  end

  user = User.where("lower(name) = ?", username.downcase).first_or_initialize(name: username, role: role)
  user.role = role
  if password && password != ""
    user.password = password
    user.password_confirmation = password
  end
  user.save
end
