class EnhanceOauths < ActiveRecord::Migration[6.0]
  def up
    add_column :o_auths, :selected, :boolean
    execute("update o_auths set selected = 'true';")

    add_column :o_auths, :last_refresh_success, :boolean
    execute("update o_auths set last_refresh_success = 'true';") # assume everything worked so we don't flash into an error state on upgrade
    add_column :o_auths, :last_refresh_message, :string
    add_column :o_auths, :raw_refresh_response, :string
    add_column :o_auths, :last_refresh_time, :datetime

    add_column :o_auths, :account_identifier, :string
    add_column :o_auths, :service_name, :string
    execute("update o_auths set service_name = 'Rx-Universe';")
  end

  def down
    remove_column :o_auths, :selected, :boolean

    remove_column :o_auths, :last_refresh_success, :boolean
    remove_column :o_auths, :last_refresh_message, :string
    remove_column :o_auths, :raw_refresh_response, :string
    remove_column :o_auths, :last_refresh_time, :datetime

    remove_column :o_auths, :account_identifier, :string
    remove_column :o_auths, :service_name, :string
  end
end
